# $Revision: 1.15 $, $Date: 2011/10/11 08:56:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	CRC
Summary:	Digest::CRC - Generic CRC functions
Summary(pl.UTF-8):	Digest::CRC - podstawowe funkcje CRC
Name:		perl-Digest-CRC
Version:	0.14
Release:	7
License:	Public Domain
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b5a6c4c37383f1ec5e51c5fec0af023c
URL:		http://search.cpan.org/dist/Digest-CRC/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::CRC module calculates CRC sums of all sorts. It contains
wrapper functions with the correct parameters for CRC-CCITT, CRC-16
and CRC-32.

%description -l pl.UTF-8
Moduł Digest::CRC oblicza różnego rodzaju sumy kontrolne CRC. Posiada
funkcje - wrappery z odpowiednimi parametrami dla CRC-CCITT, CRC-16
oraz CRC-32.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/*.pm
%dir %{perl_vendorarch}/auto/Digest/CRC
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/CRC/CRC.so
%{perl_vendorarch}/auto/Digest/CRC/CRC.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-CRC.spec,v $
Revision 1.15  2011/10/11 08:56:32  lisu
- rel 7

Revision 1.14  2010/11/12 23:38:18  pawelz
- release 6

Revision 1.13  2010/06/06 08:35:12  arekm
- release 5

Revision 1.12  2009/03/14 11:43:38  hawk
- release 4

Revision 1.11  2008/03/23 21:45:38  qboosh
- no macros overusage

Revision 1.10  2008-03-02 17:31:12  radek
- release 3

Revision 1.9  2008-02-10 12:08:12  arekm
- rel 2

Revision 1.8  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.7  2007-12-24 00:03:38  zbyniu
- up to 0.14

Revision 1.6  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.4  2006/04/09 12:57:01  qboosh
- missing dir, .so perms

Revision 1.3  2006/04/07 20:40:44  agaran
- up to 0.10 rel1, updated %files, builds here

Revision 1.2  2004/11/03 22:30:19  paladine
- formatting

Revision 1.1  2004/08/07 21:07:52  adamg
- new
